# Uses of Interface
java.nio.file.attribute.UserPrincipal

Packages that use UserPrincipal
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.
java.nio.file.attribute
Interfaces and classes providing access to file and file system attributes.
jdk.net
Platform specific socket options for the `java.net` and `java.nio.channels` socket classes.

## Uses of UserPrincipal in java.nio.file

Methods in java.nio.file that return UserPrincipal
Modifier and Type
Method
Description
`static UserPrincipal`
Files.`getOwner​(Path path, LinkOption... options)`
Returns the owner of a file.
Methods in java.nio.file with parameters of type UserPrincipal
Modifier and Type
Method
Description
`static Path`
Files.`setOwner​(Path path, UserPrincipal owner)`
Updates the file owner.

## Uses of UserPrincipal in java.nio.file.attribute

Subinterfaces of UserPrincipal in java.nio.file.attribute
Modifier and Type
Interface
Description
`interface`
`GroupPrincipal`
A `UserPrincipal` representing a group identity, used to determine access rights to objects in a file system.
Methods in java.nio.file.attribute that return UserPrincipal
Modifier and Type
Method
Description
`UserPrincipal`
FileOwnerAttributeView.`getOwner()`
Read the file owner.
`abstract UserPrincipal`
UserPrincipalLookupService.`lookupPrincipalByName​(String name)`
Lookup a user principal by name.
`UserPrincipal`
PosixFileAttributes.`owner()`
Returns the owner of the file.
`UserPrincipal`
AclEntry.`principal()`
Returns the principal component.
Methods in java.nio.file.attribute with parameters of type UserPrincipal
Modifier and Type
Method
Description
`void`
FileOwnerAttributeView.`setOwner​(UserPrincipal owner)`
Updates the file owner.
`AclEntry.Builder`
AclEntry.Builder.`setPrincipal​(UserPrincipal who)`
Sets the principal component of this builder.

## Uses of UserPrincipal in jdk.net

Methods in jdk.net that return UserPrincipal
Modifier and Type
Method
Description
`UserPrincipal`
UnixDomainPrincipal.`user()`
Returns the value of the `user` record component.
Constructors in jdk.net with parameters of type UserPrincipal
Modifier
Constructor
Description
``
`UnixDomainPrincipal​(UserPrincipal user, GroupPrincipal group)`
Creates a UnixDomainPrincipal.